Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.bcpg
Class MPInteger

    java.lang.Object
      org.bouncycastle.bcpg.BCPGObject
          org.bouncycastle.bcpg.MPInteger

    public class MPInteger

extends BCPGObject

a multiple precision integer

Constructor Summary
`MPInteger(BCPGInputStream in)`
`MPInteger(java.math.BigInteger value)`

Method Summary
`void` `encode(BCPGOutputStream out)`
`java.math.BigInteger` `getValue()`

Methods inherited from class org.bouncycastle.bcpg.BCPGObject
`getEncoded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MPInteger

    public MPInteger(BCPGInputStream in)
              throws java.io.IOException

Throws:
  `java.io.IOException`

### MPInteger

    public MPInteger(java.math.BigInteger value)

Method Detail

### getValue

    public java.math.BigInteger getValue()

### encode

    public void encode(BCPGOutputStream out)
                throws java.io.IOException

  Specified by:
    `encode` in class `BCPGObject`
  Throws:
    `java.io.IOException`

Bouncy Castle Cryptography Library 1.45